.. _api:


API reference
=============

BinaryTrie
----------

.. autoclass:: marisa_trie.BinaryTrie
   :members:
   :inherited-members:

Trie
----

.. autoclass:: marisa_trie.Trie
   :members:
   :inherited-members:

BytesTrie
---------

.. autoclass:: marisa_trie.BytesTrie
   :members:


RecordTrie
----------

.. autoclass:: marisa_trie.RecordTrie
   :members:

StringTrie
----------

.. autoclass:: marisa_trie.StringTrie
   :members:
